# Generated by Django 3.0.5 on 2020-06-03 12:12

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('users', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Doctor',
            fields=[
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL, verbose_name='пользователь')),
                ('position', models.CharField(blank=True, default='', max_length=150, verbose_name='должность')),
                ('html_classes', models.CharField(blank=True, default='', max_length=255, verbose_name='стили HTML')),
            ],
            options={
                'verbose_name': 'врач',
                'verbose_name_plural': 'врачи',
                'ordering': ['user__last_name'],
            },
        ),
        migrations.CreateModel(
            name='Specialization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150, verbose_name='наименование')),
            ],
            options={
                'verbose_name': 'специализация',
                'verbose_name_plural': 'специализации',
            },
        ),
        migrations.CreateModel(
            name='DoctorSpecialization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('doctor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='doctors.Doctor', verbose_name='врач')),
                ('specialization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='doctors.Specialization', verbose_name='специализация')),
            ],
            options={
                'verbose_name': 'Специализация врача',
                'verbose_name_plural': 'Специализации врачей',
                'unique_together': {('doctor', 'specialization')},
            },
        ),
    ]
